Package org.eclipse.net4j.util.security

## Class AuthenticatorFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.AuthenticatorFactory

- All Implemented Interfaces:
    `IFactory`
  Direct Known Subclasses:
    `FileAuthenticatorFactory`

      public abstract class AuthenticatorFactory
      extends Factory

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticatorFactory​(java.lang.String type)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthenticatorFactory

          public AuthenticatorFactory​(java.lang.String type)